
#ifndef _CALARMBOX_H_
#define _CALARMBOX_H_

#include <stdio.h>
#include <CONIO.H>

class CAlarmBox
{
	public:
		enum e_AlarmBoxStatus{
                                eNotConnected = 0,
                                eButtonPressed ,
                                eConnected
                                };

		static CAlarmBox*   m_hInst;

	protected:
		e_AlarmBoxStatus	m_absStatus;
		unsigned int		m_iPort;
	public:
		CAlarmBox();
		~CAlarmBox();

		static  void DestroyInst(void);
		static	CAlarmBox* Inst(void) {return m_hInst;}

		virtual void SetGreenLed(void)=0;
		virtual void SetRedLed(void)=0;
		virtual void SetLeds(void)=0;
		virtual void ResetLeds(void)=0;
		virtual unsigned char ButtonPressed(void)=0;

				unsigned char ButtonPressed(int Seconds);
                e_AlarmBoxStatus GetStatus(void);

};
#endif /*_CALARMBOX_H_*/